How To Use: Trucha Bug Restorer by WiiPower

Discussion in 'Wii - Hacking' started by Adr990, Jul 4, 2009.

Jul 4, 2009
  1. Adr990
    OP

    Member Adr990 To boldly go where no man has gone before!

    Joined:
    Apr 22, 2007
    Messages:
    1,469
    Location:
    The Netherlands
    Country:
    Netherlands
    Official Application Discussion Topic: Trucha Bug Restorer~Topic
    Official Application Download Page: Trucha Bug Restorerv1.0~Download
    Official Application Direct Download: Trucha Bug Restorer v1.0~Direct Download

    Ok let's get started.

    After you got the application 'Trucha Bug Restorer' by WiiPower. (See links above.)

    Get NUS Downloader: WiiBrew.org

    Look at this image:
    [​IMG]

    Replace the '0000000100000002' with one of the follow you need:
    IOS15 => 000000010000000F
    IOS36 => 0000000100000024
    IOS37 => 0000000100000025

    And again, look at the above image.

    And Than Replace the '449' with one of the follow you need:

    IOS 15 Downgrade:
    IOS15 => 257
    &
    IOS15 => 266

    IOS 15 Restore:
    IOS15 => 266

    IOS36 Install:
    IOS36 => 3094

    IOS37 Install:
    IOS37 => 3612

    Names the application 'Trucha Bug Restorer' expects:

    IOS15 Downgrade file names:
    IOS15-64-v257.wad
    &
    IOS15-64-v266.wad

    IOS15 Restore file name:
    IOS15-64-v266.wad

    IOS36 Install file name:
    IOS36-64-v3094.wad

    IOS37 Install file name:
    IOS37-64-v3612.wad

    Now place them on the ROOT of your SD card.
    If you don't know what ROOT means, i'll just let you read this: afterdawn.com

    I made it really Noob Friendly.. If you think I didn't.. than don't even think about "hacking" your Wii.
     


  2. LurkyTheHamster

    Newcomer LurkyTheHamster Member

    Joined:
    Jul 4, 2009
    Messages:
    12
    Country:
    United States
    Well looky here, just what I asked for! [​IMG]

    Very big win. Thank you much. Sure this will come in handy for more people than just myself.
     
  3. Adr990
    OP

    Member Adr990 To boldly go where no man has gone before!

    Joined:
    Apr 22, 2007
    Messages:
    1,469
    Location:
    The Netherlands
    Country:
    Netherlands
    Glad I could help! [​IMG]

    But still, we are not responsible! (We are, WiiPower and Adr990)
     
  4. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    The Truch Bug Restorer also works without these files if the Wii is connected to the internet.
     
  5. Slimmmmmm

    Member Slimmmmmm GBAtemp MoNkEeE

    Joined:
    Nov 1, 2007
    Messages:
    1,687
    Location:
    the land of lol
    Country:
    United Kingdom
    Great Stuff [​IMG]

    I hope this will stop any questions. WiiPower put a LOT of effort into this new app and typed up a massive readme, with all that info and this easy to follow guide everything should be simple for everyone.
     
  6. wiiNinja

    Member wiiNinja GBAtemp Fan

    Joined:
    Jan 13, 2009
    Messages:
    376
    Country:
    United States
    One can grab all the wads this app needs with a batch file like this:

    Code:
    nusd 000000010000000f 257
    copy 000000010000000f00000010000000f.wad IOS15-64-v257.wad
    rmdir /Q /S 000000010000000f
    nusd 000000010000000f 266
    copy 000000010000000f00000010000000f.wad IOS15-64-v266.wad
    rmdir /Q /S 000000010000000f
    nusd 0000000100000024 3094
    copy 0000000100000024000000100000024.wad IOS36-64-v3094.wad
    rmdir /Q /S 0000000100000024
    nusd 0000000100000025 3612
    copy 0000000100000025000000100000025.wad IOS37-64-v3612.wad
    rmdir /Q /S 0000000100000025
    The util "nusd.exe" is here: http://www.mediafire.com/file/mzowm5wzzne/NUSD.v0.2.rar

    Just copy and paste the code above into a batch file (.bat extension) and place it in the same directory as the util "nusd.exe". Click on the batch file and wait a minute. At the end, you'll have the four wads you need.
     
  7. supermodchips

    Member supermodchips GBAtemp Regular

    Joined:
    May 24, 2009
    Messages:
    291
    Country:
    Australia
    Good job with this. Now it makes 4.0 so much more convenient.
     
  8. nknave

    Member nknave GBAtemp Regular

    Joined:
    Jun 23, 2009
    Messages:
    154
    Country:
    Mexico
    Any Plans on making a cBoot2 patched *.dol file?

    This way I can replace my WAD Manager 1.4 (which I use to install this) with this and by simply applying this fixed IOS36, we can install PreLoader0.29 and cIOS38rev 13b on any Wii including LU64+ without the need to install IOS16 or LU64fix.wad.


    Thanks for your APP.


    And 1 question:

    What is the benefit of IOS37 patched????
     
  9. bula

    Member bula GBAtemp Advanced Fan

    Joined:
    Feb 4, 2009
    Messages:
    814
    Country:
    United States
    deleted
     
  10. bengalih

    Newcomer bengalih Member

    Joined:
    Jun 28, 2009
    Messages:
    18
    Country:
    Spain
    I asked this in the main thread, but in case anyone looks here as well... can someone explain what this is doing that IOS downgrader is not?

    thx
     
  11. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    It does not work from cBoot2??? Also you can use the IOS15 downgrade to get trucha, so i don't see why cBoot2, IOS16 or that wad would be required.
     
  12. nknave

    Member nknave GBAtemp Regular

    Joined:
    Jun 23, 2009
    Messages:
    154
    Country:
    Mexico
    So, if I use this, All I need to do is Downgrade IOS15 and than Patch IOS36 on a Factory LU64+ SM4.0 Wii from HBC?


    Thanks.
     
  13. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Now you got it. And using cBoot2's cIOS instead of the downgraded IOS15 should work as well.
     
  14. Causton

    Newcomer Causton Member

    Joined:
    Mar 22, 2009
    Messages:
    39
    Country:
    United Kingdom
    When I try to use the downgraded IOS15 with my 1OS37 to install the trucha bug into it, it says 'does your IOS37 have a higher revision than 3612?' What does this mean?

    I'm new to wii hacking and I have a wii 4.0 - nintendo update - and have wad manager but it won't install my wads. I am using this trucha bug restorer to install the trucha bug into the IOS37. Then it comes up with that message as you can see above. That's where I get confused. When I try to do the same but with IOS36, it just says something like it couldn't get it from the sd card or something. That's when I checked the IOS36 on my sd card. I realised it had the name IOS36-64-v3612. The 3612 part was not my error, it appears my computer just changed it from 3094 to 3612. I have done the IOS36 again twice to double check, and both times it had changed. What can be done to help me? All I want to do is play my wiiware games!
     
  15. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Try to use IOS15 in WAD Manager. Also please give me precise instructions what you do, which menu options you use to rename the file on sd card.

    You can also install a patched IOS36 as IOS249, and please test what happens if you install un unpatched IOS37 as IOS37.
     
  16. wdforty

    Newcomer wdforty Newbie

    Joined:
    Jul 7, 2009
    Messages:
    2
    Country:
    United States
    A couple of quick questions so I may understand the correct steps, and nature of this utility. The second part is that I have two brand new systems, which one of them is an lu64+ model.

    1. Is the installation of HBC w/ Bannerbomb required prior to installation or does this utility install HBC?
    2. Does this utility automatically or provide ways to backup systems files or firmware that it modifies?
    3. What if any steps are required to install backup and/or usb loaders?
    4. Are additional steps needed to run this utility for lu64+ models?


    Like to create nand backups for both systems, run a very simple utility that will allow be to install a backup and usb loader to play my backups and watch some movies in xvid file format.

    Read many posts, tutorials and guides however I've noticed everyone has their own way and I'd like to apply something like this if it's a solution that I'm looking for so, is it?

    Cool stuff...

    [EDIT] Read comment about installing preloader, is this needed for both system models and secondly does preloader require installation of cios60bf prior?
     
  17. chrisman01

    Member chrisman01 GBAtemp Fan

    Joined:
    Sep 9, 2008
    Messages:
    313
    Location:
    Maine
    Country:
    United States
    I followed your instructions to the letter, and successfully downgraded ios15.

    however, when I try to install ios36 i get error -2011... AGAIN

    I'm trying to STOP that error!

    ...now what?? [​IMG]
     
  18. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    People who don't understand why they downgrade IOS15 should not mod their Wii.
     
  19. chrisman01

    Member chrisman01 GBAtemp Fan

    Joined:
    Sep 9, 2008
    Messages:
    313
    Location:
    Maine
    Country:
    United States
    that's the same thing you told me on another topic!!!

    I'M STILL A N00B BECAUSE NOBODY WILL EXPLAIN ANYTHING!

    Holy crap people! You just write off people like me as "n00bs that will brick their wiis", and you don't try to tell us WHY we're n00bs, or what we can do to solve our problems!!! [​IMG]

    holy f**k, I'm getting really pissed at gbatempers [​IMG]

    [​IMG]

    I am not some computer illiterate n00b who thinks he can get free games if I mess around with my wii! I have a freakin' CompTIA A+ Certification!! I JUST WANT SOMEONE TO SHOW ME WHAT I'M DOING WRONG!! [​IMG]

    ...okay...rant over... [​IMG]
     
  20. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    Whatever a "CompTIA A+ Certification" is, if that's something good, you should ask the right questions then when you have a problem, or don't understand why you have to do this and that. Tell me: Why do i tell to downgrade IOS15 before patching IOS36?
     

Share This Page